Bug 845468 - snapshot-list --descendants --from will core dumped
snapshot-list --descendants --from will core dumped
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 03:35 EDT by Huang Wenlong
Modified: 2013-10-20 17:45 EDT (History)
9 users (show)

See Also:
Fixed In Version: libvirt-0.10.0-0rc1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:20:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huang Wenlong 2012-08-03 03:35:35 EDT
Description of problem:
snapshot-list  --descendants --from  will core dumped

Version-Release number of selected component (if applicable):
libvirt-0.10.0-0rc0.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.297.el6_3.x86_64


How reproducible:
100%

Steps to Reproduce:
1.  prepare a domain with snapshot
# virsh snapshot-list q3
 Name                 Creation Time             State
------------------------------------------------------------
 d1                   2012-07-26 14:43:43 +0800 disk-snapshot
 d2                   2012-07-26 14:43:49 +0800 disk-snapshot
 d3                   2012-07-26 14:43:56 +0800 disk-snapshot
 s1                   2012-07-26 11:06:19 +0800 running
 s2                   2012-07-26 14:34:18 +0800 shutoff
 s3                   2012-07-26 14:34:56 +0800 shutoff


2.# virsh snapshot-list q3 --descendants --from d1
Segmentation fault (core dumped)
[root@intel-q9400-4-2 ~]# virsh snapshot-list q3 --descendants --from s1
Segmentation fault (core dumped)


Actual results:
as step2

Expected results:
no core dumped

Additional info:

-- 
Best Regards!
Wenlong Huang
IRC Account: wenlong
Phone: 62608117
Comment 2 Peter Krempa 2012-08-03 05:41:53 EDT
The problem is in the RPC code that doesn't fill one of the arguments when doing the remote call. I'll post a patch soon.
Comment 3 Peter Krempa 2012-08-03 07:02:46 EDT
Fixed upstream:

commit 2b01761d5e9addaefe33b2934576836836f486e2
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Fri Aug 3 11:45:12 2012 +0200

    remote: Fill snapshot argument in remoteDomainSnapshotListAllChildren
    
    The remote driver did not fill the required snapshot parent argument in
    the RPC call structure that caused a client crash when trying to use
    this new API.

Moving to POST.
Comment 5 zhpeng 2012-08-23 04:07:47 EDT
Test with: libvirt-0.10.0-0rc1.el6.x86_64

[root@zhpeng ~]# virsh snapshot-list rhel63q --descendants --from d1
 Name                 Creation Time             State
------------------------------------------------------------
 d2                   2012-08-23 15:59:00 +0800 disk-snapshot
 d3                   2012-08-23 15:59:02 +0800 disk-snapshot
 d4                   2012-08-23 15:59:04 +0800 disk-snapshot
 snap1                2012-08-23 15:59:09 +0800 running

So this is verified.
Comment 6 errata-xmlrpc 2013-02-21 02:20:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.